Bug 1572244 - Out of date documentation details of /lib/systemd/system/proc-sys-fs-binfmt_misc.mount
Summary: Out of date documentation details of /lib/systemd/system/proc-sys-fs-binfmt_m...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jan Synacek
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 13:54 UTC by Apurbita Mukherjee
Modified: 2018-10-30 11:33 UTC (History)
4 users (show)

Fixed In Version: systemd-219-58.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 11:32:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3245 0 None None None 2018-10-30 11:33:19 UTC

Description Apurbita Mukherjee 2018-04-26 13:54:47 UTC
Document URL: 

Documentation=https://www.kernel.org/doc/Documentation/binfmt_misc.txt

Section Number and Name: 

Describe the issue: 

While debugging an unrelated issue, it's being noticed that the systemd unit /lib/systemd/system/proc-sys-fs-binfmt_misc.mount (provided by systemd package) lists an out of date documentation link, like so:

# cat lib/systemd/system/proc-sys-fs-binfmt_misc.mount
#  This file is part of systemd.
#
#  systemd is free software; you can redistribute it and/or modify it
#  under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation; either version 2.1 of the License, or
#  (at your option) any later version.

[Unit]
Description=Arbitrary Executable File Formats File System
Documentation=https://www.kernel.org/doc/Documentation/binfmt_misc.txt
Documentation=http://www.freedesktop.org/wiki/Software/systemd/APIFileSystems
DefaultDependencies=no

[Mount]
What=binfmt_misc
Where=/proc/sys/fs/binfmt_misc
Type=binfmt_misc


Suggestions for improvement: 

From: 
[Unit]
  Documentation=https://www.kernel.org/doc/Documentation/binfmt_misc.txt

To:
  https://www.kernel.org/doc/Documentation/admin-guide/binfmt-misc.rst

Additional information:

Comment 1 Jan Synacek 2018-04-27 07:02:53 UTC
https://github.com/lnykryn/systemd-rhel/pull/203

Comment 2 Frantisek Sumsal 2018-05-28 09:47:53 UTC
qa_ack+ for RHEL 7.6

Comment 3 Lukáš Nykrýn 2018-06-12 13:21:03 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/203 -> post

Comment 7 errata-xmlrpc 2018-10-30 11:32:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3245


Note You need to log in before you can comment on or make changes to this bug.